Bug 52085 - Allow multiple selection in arguments panel
Allow multiple selection in arguments panel
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All All
: P4 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-10-25 14:06 UTC by Roman Bargezi
Modified: 2011-10-27 17:39 UTC (History)
1 user (show)



Attachments
Proposed enhancement as a patch to Revision 1188659 of ArgumentsPaneljava (2.38 KB, patch)
2011-10-25 14:10 UTC, Roman Bargezi
Details | Diff
Proposed enhancement as a patch to Revision 1188664 of ArgumentsPaneljava (4.40 KB, patch)
2011-10-26 06:12 UTC, Roman Bargezi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bargezi 2011-10-25 14:06:14 UTC
I often need to copy or delete larger amounts of data from an arguments panel. Therefore multiple selection support would be handy.
Comment 1 Roman Bargezi 2011-10-25 14:10:00 UTC
Created attachment 27845 [details]
Proposed enhancement as a patch to Revision 1188659 of ArgumentsPaneljava

The added patch does support the delete functionality and the copy, but not the up/down feature. If you think this is useful and you like me to add support for up/down as well, let me know.
Comment 2 Roman Bargezi 2011-10-26 06:12:37 UTC
Created attachment 27848 [details]
Proposed enhancement as a patch to Revision 1188664 of ArgumentsPaneljava

Updated patch to support move up/down of multiple selected rows
Comment 3 Philippe Mouawad 2011-10-27 17:39:47 UTC
Thanks, applied.

Date: Thu Oct 27 17:41:04 2011
New Revision: 1189888

URL: http://svn.apache.org/viewvc?rev=1189888&view=rev
Log:
Bug 52085 - Allow multiple selection in arguments panel

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
   jakarta/jmeter/trunk/xdocs/changes.xml